
# Install and enable avahi daemon.
#
class avahi::daemon {

    package { "avahi":
        ensure => installed,
    }

    service { "avahi-daemon":
        ensure  => running,
        enable  => true,
        status  => "/sbin/service avahi-daemon status | fgrep 'Avahi daemon is running'",
        require => Package["avahi"],
    }

}
